<?php if (!defined('ROOTPATH')) exit('No direct script access allowed'); ?>
<?php
$header = array(
    'page_title' => lang('pages_admin_users'),
    'page_menu' => 'global',
    'page_selected_menu' => 'admin',
    'page_headline' => $GI->load->view('admin/users/headline', ['show_export' => true], true),
    /*
    'page_breadcrumb' => array(
        'admin/overview' => lang('pages_admin'),
        lang('pages_admin_users')
    )
    */
);
$GI->load->view('layout/header', $header);
?>

    <span id="active" class="hidden"><?php echo  lang('layout_grid_active') ?></span>
    <span id="inactive" class="hidden"><?php echo  lang('layout_grid_inactive') ?></span>

    <div id="activeDropdown" class="dropdown dropdown-menu activeDropdown" rel="" style="width: 100px">
        <ul>
            <li><a class="dropdown-menu-link"
                    <?php echo  js::link("App.Admin.setActive(true)") ?>><?php echo  lang('layout_grid_active') ?></a></li>
            <li><a class="dropdown-menu-link"
                    <?php echo  js::link("App.Admin.setActive(false)") ?>><?php echo  lang('layout_grid_inactive') ?></a></li>
        </ul>
    </div>

    <div id="roleDropdown" class="dropdown dropdown-menu roleDropdown" rel="" style="width: 125px">
        <ul>
            <?php for ($i = 0; $i < count($roles); $i++): ?><?php 
                $role = $roles[$i] ?><?php 
                $is_last = $i + 1 == count($roles) ?>
                <li><a class="dropdown-menu-link"
                    <?php echo  js::link("App.Admin.setRole($role->id)") ?>><?php echo  h($role->name) ?></a></li>
            <?php endfor ?>
        </ul>
    </div>

    <div class="message message-help">
        <?php echo  lang('users_overview_intro') ?>
    </div>

<?php if ($tab <= 0 || $tab >= 8): ?>
    <?php $tab = 1 ?>
<?php endif ?>

    <input type="hidden" name="tab" id="tab"/>

    <div class="tabs tabs-users">
        <div class="tab-header">
            <a href="#" class="<?php echo  $tab == 1 ? 'current' : '' ?> tab1"
               onclick="App.Tabs.activate(this)" rel="1">
                <?php echo  lang('users_tabs_users') ?>
            </a>
            <a href="#" class="<?php echo  $tab == 2 ? 'current' : '' ?> tab2"
               onclick="App.Tabs.activate(this)" rel="2">
                <?php echo  lang('users_tabs_groups') ?>
            </a>
            <a href="#" class="<?php echo  $tab == 3 ? 'current' : '' ?> tab3"
               onclick="App.Tabs.activate(this)" rel="3">
                <?php echo  lang('users_tabs_roles') ?>
            </a>

        </div>
        <div class="tab-body tab-frame">
            <div class="tab tab1 <?php echo  $tab != 1 ? 'hidden' : '' ?>">
                <table class="grid">
                    <colgroup>
                        <col style="width: 45%"></col>
                        <col style="width: 25%"></col>
                        <col style="width: 10%"></col>
                        <col style="width: 10%"></col>
                        <col style="width: 5%"></col>
                    </colgroup>
                    <tr class="header">
                        <th><?php echo  lang('users_user') ?></th>
                        <th><?php echo  lang('users_email') ?></th>
                        <th><?php echo  lang('layout_grid_status') ?></th>
                        <th><?php echo  lang('layout_grid_role') ?></th>
                        <th></th>
                        <th></th>
                    </tr>
                    <?php arr::alternator() ?>
                    <?php foreach ($users as $user): ?>
                        <tr class="<?php echo  arr::alternator('odd', 'even') ?>" id="user-<?php echo  $user->id ?>">
                            <td>
                                <a href="<?php echo  url::site('admin/users/edit/' . $user->id) ?>"
                                   class="user-name-col"
                                   title="<?php echo  h($user->name) ?>">
                                    <span class="name"><?php echo  h($user->name) ?></span></a>
                                <?php if ($user->is_admin): ?>
                                    <span class="text-highlighted">(<?php echo  lang('layout_roles_admin') ?>)</span>
                                <?php endif ?>
                            </td>
                            <td class="nolink">
                                <span class="email" title="<?php echo  h($user->email) ?>" ><?php echo  h($user->email) ?> </span>
                            </td>
                            <td class="nolink">
                                <?php if ($user->is_active): ?>
                                    <?php $active_status = lang('layout_grid_active') ?>
                                <?php else: ?>
                                    <?php $active_status = lang('layout_grid_inactive') ?>
                                <?php endif ?>
                                <?php if ($user->id != $own_user_id): ?>
                                    <a href="#activeDropdown" rel="<?php echo  $user->id ?>" class="dropdownLink"><span
                                                class="dropdown-icon-black"><span
                                                    class="active"><?php echo  h($active_status) ?></span></span></a>
                                <?php else: ?>
                                    <?php echo  h($active_status) ?>
                                <?php endif ?>
                            </td>
                            <td class="nolink">
                                <a href="#roleDropdown" rel="<?php echo  $user->id ?>" class="dropdownLink"><span
                                            class="dropdown-icon-black"><span class="role"><?php echo  h($user->role_name) ?></span></span></a>
                            </td>
                            <td></td>
                            <td class="action">
                                <a href="<?php echo  url::site('admin/users/edit/' . $user->id) ?>"><img
                                            src="<?php echo  r('images/icons/smallEdit.png') ?>" alt=""/></a>
                            </td>
                        </tr>
                    <?php endforeach ?>
                </table>

                <div class="button-group grid-buttons">
                    <a href="<?php echo  url::site('admin/users/add') ?>"
                       class="button button-left button-add">
                        <?php echo  lang('pages_admin_users_new') ?>
                    </a>
                    <a href="<?php echo  url::site('admin/users/add_many') ?>"
                       class="button button-left button-add">
                        <?php echo  lang('pages_admin_users_new_bulk') ?>
                    </a>
                </div>
            </div>

            <div class="tab tab2 <?php echo  $tab != 2 ? 'hidden' : '' ?>">
                <?php $has_groups = count($groups) > 0 ?>

                <table class="grid">
                    <colgroup>
                        <col></col>
                        <col style="width: 150px"></col>
                        <col class="action"></col>
                        <col class="action"></col>
                    </colgroup>
                    <tr class="header">
                        <th><?php echo  lang('layout_grid_group') ?></th>
                        <th><?php echo  lang('groups_users') ?></th>
                        <th></th>
                        <th></th>
                    </tr>
                    <?php if ($has_groups): ?>
                        <?php arr::alternator() ?>
                        <?php foreach ($groups as $group): ?>
                            <tr class="<?php echo  arr::alternator('odd', 'even') ?>" id="group-<?php echo  $group->id ?>">
                                <td>
                                    <a href="<?php echo  url::site('admin/groups/edit/' . $group->id) ?>"><span
                                                class="name"><?php echo  h($group->name) ?></span></a>
                                </td>
                                <td><?php echo  $group->user_count ?></td>
                                <td class="action">
                                    <a href="<?php echo  url::site('admin/groups/edit/' . $group->id) ?>"><img
                                                src="<?php echo  r('images/icons/smallEdit.png') ?>" alt=""/></a>
                                </td>
                                <td class="action">
                                    <?php echo  html::post_to_delete(
                                        url::site('admin/groups/delete/' . $group->id),
                                        str::format(
                                            '<img src="{0}" alt="" />',
                                            r('images/icons/smallDelete.png')
                                        ),
                                        null,
                                        langf(
                                            'groups_delete_confirm',
                                            h($group->name)
                                        ),
                                        lang('groups_delete_confirm_checkbox')
                                    ) ?>
                                </td>
                            </tr>
                        <?php endforeach ?>
                    <?php else: ?>
                        <tr>
                            <td colspan="4"><?php echo  lang('groups_empty') ?></td>
                        </tr>
                    <?php endif ?>
                </table>

                <div class="button-group grid-buttons">
                    <a href="<?php echo  url::site('admin/groups/add') ?>"
                       class="button button-left button-add">
                        <?php echo  lang('pages_admin_groups_new') ?>
                    </a>
                </div>
            </div>

            <div class="tab tab3 <?php echo  $tab != 3 ? 'hidden' : '' ?>">
                <table class="grid">
                    <colgroup>
                        <col></col>
                        <col class="action"></col>
                        <col class="action"></col>
                    </colgroup>
                    <tr class="header">
                        <th><?php echo  lang('layout_grid_role') ?></th>
                        <th></th>
                        <th></th>
                    </tr>
                    <?php arr::alternator() ?>
                    <?php foreach ($roles as $role): ?>
                        <tr class="<?php echo  arr::alternator('odd', 'even') ?>" id="role-<?php echo  $role->id ?>">
                            <td>
                                <a href="<?php echo  url::site('admin/roles/edit/' . $role->id) ?>"><span
                                            class="name"><?php echo  h($role->name) ?></span></a>
                                <?php if ($role->is_default): ?>
                                    <span class="text-highlighted">(<?php echo  lang('layout_grid_default') ?>)</span>
                                <?php endif ?>
                            </td>
                            <td class="action">
                                <a href="<?php echo  url::site('admin/roles/edit/' . $role->id) ?>"><img
                                            src="<?php echo  r('images/icons/smallEdit.png') ?>" alt=""/></a>
                            </td>
                            <td class="action">
                                <?php if (!$role->is_default): ?>
                                    <?php echo  html::post_to_delete(
                                        url::site('admin/roles/delete/' . $role->id),
                                        str::format(
                                            '<img src="{0}" alt="" />',
                                            r('images/icons/smallDelete.png')
                                        ),
                                        null,
                                        langf(
                                            'roles_delete_confirm',
                                            h($role->name)
                                        ),
                                        lang('roles_delete_confirm_checkbox')
                                    ) ?>
                                <?php endif ?>
                            </td>
                        </tr>
                    <?php endforeach ?>
                </table>

                <div class="button-group grid-buttons bottom">
                    <a href="<?php echo  url::site('admin/roles/add') ?>"
                       class="button button-left button-add">
                        <?php echo  lang('pages_admin_roles_new') ?>
                    </a>
                </div>
            </div>
        </div>
    </div>

    <?php
    $GI->load->view('layout/middle');
    ?>

    <?php
    $temp = array();
    $temp['selected'] = 'users';
    $GI->load->view('admin/sidebar', $temp);
    ?>

    <div class="sidebar-inner">
        <p class="top"><?php echo  langf('users_sidebar_users_stats',
                $active_count,
                $inactive_count) ?></p>

        <div class="form-group">
            <label for="showSelection" class="form-label-secondary">
                <?php echo  lang('users_show_desc') ?>
            </label>
            <select id="showSelection" class="form-control form-control-full form-select"
                    style="width: 100%">
                <option value="active"
                    <?php echo  html::get_selected($show, 'active') ?>><?php echo  lang('users_show_active') ?></option>
                <option value="all"
                    <?php echo  html::get_selected($show, 'all') ?>><?php echo  lang('users_show_all') ?></option>
            </select>
        </div>
    </div>

    <script type="text/javascript">

        $(document).ready(function () {
            // Reload the page when a user switches the grouping combobox
            $('#showSelection').change(function () {
                document.location = '<?php echo  url::site('admin/users/overview') ?>&show=' + this.value;
            });

            if (isIE() || isFirefox()){
                $('.email[title],.user-name-col[title]').each(function () {
                    var titleValue = $(this).attr('title');
                    $(this).attr('title', chunk(titleValue, 55).join('\n'));
                });
            }
        });

        function isIE(userAgent) {
            var userAgent = userAgent || navigator.userAgent;
            return userAgent.indexOf("MSIE ") > -1 || userAgent.indexOf("Trident/") > -1 || userAgent.indexOf("Edge/") > -1;
        }

        function isFirefox(userAgent) {
            var userAgent = userAgent || navigator.userAgent;
            return userAgent.indexOf("Firefox") > -1;
        }

        function chunk(str, n) {
            var i, len, arr = [];
            for (i = 0, len = str.length; i < len; i += n) {
                arr.push(str.substr(i, n))
            }
            return arr
        }

    </script>
<?php
$GI->load->view('layout/footer');
?>